AutoCAD Inventor :: Split 3DLine With Planes (3D Sketch)?
Sep 5, 2012
Is it possible to split a 3d line with planes.
I am not able to find a Split method on Sketchline3d.
{Code}
Sub Split_Lines()
If ThisApplication.Documents.Count = 0 Then Exit Sub
If ThisApplication.ActiveDocument.DocumentType <> kPartDocumentObject Then Exit Sub
' Check to make sure a sketch is active.
If Not TypeOf ThisApplication.ActiveEditObject Is Sketch3D Then
MsgBox "A sketch must be active."
Exit Sub
End If
recently installed inventor pro 2014 on a school computer for a project we are doing, one problem. when i click 2D sketch nothing happens, so i have no wau to make a sketch.
I am creating a part that consists of a series of intermediate Lofts. The various Loft termination profiles are sketched on a series of stacked planes, most of which are parallel to one another. I have a Work Axis (oriented at an angle off of true vertical) that penetrates all of these sketch planes, essentially forming a "central axis" for my part. Most, but not all, of my sketch planes are normal (perpendicular) to that axis.
I want to use my "central axis" as a reference point in each of my sketches, i.e., the point where the axis intersects the sketch plane. I am having a minor difficulty.
When I project my central axis into a sketch whose plane is normal (perpendicular) to the axis, Inventor displays a reference point where the axis penetrates the plane and I can dimension my sketch geometry relative to that point. Conversely, no such point is displayed when I project the axis into a sketch plane that is NOT normal to the axis.
Is this correct behavior? To have a dimension able point on my "non-normal" sketch planes, must I create explicit Work Points to mark the intersection between my Axis and such planes, and then project those points into the related sketches?
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
1. created a turbine whose blades are made from some planes that I applied thicken offset command. I applied circular pattern to multiply the blade around center point but i get too many planes and i must to make invisible each one. How can i make invisible all planes in the same time.
2. After i make them invisibile i exit from that part but when i start that part again or when i place it in an assembly all planes are visible. What should i do to make them invisible for ever.
My model is up in the top right of the planes. I cannot figure out why my origin planes are oversized like this. I have went through the browser and checked all the parts to see if something is out there, nothing. I have set auto-resize on origin planes and yet these are large.
Dell XPS 8300 Intel(R) Core(TM) i7-2600 CPU@3.40GHz 16GB RAM Win 8.1 Pro Autodesk Product Design Suite 2014
I just installed inventor. When I begin a part there is no display of the planes, only the corner indicators show up when I hover over a plane. Also, when a part is created, only the edges show up when I hover over them.
In a part file is it possible to find the adaptive workplanes used to create extrusion1. And then find if the two workplanes are at an angle with respect to the origin planes.
Have been looking for a while but it seems hard to find information on workplanes
I've created Custom properties, parameters, to get the outside measure of the parts and it works fine until we create and leave activated a work plane outside the part so it measures not until the end of the part but until the plane.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
Is there a way to insert a part that would be grounded or flush constrained on one or two planes only (automatically) and not all three? For example; you'd insert the part and you'd pick the two planes that you want to be flush constrained but the 3rd plane you'd constrain yourself.
I want to create a solid using VB and loft definition.
I creat each time different planes that have a constant distance in x dimension and a steady rotation each time φ (deg).
On each each plane i sketch the same profile and that is happened for 360 deg.
The problem is that Loft is not made because a line of the profile must follow a line tragectory and all other points must follow a circular tragectory. Also, there is a problem from 180 deg to 360 because there is intersection of profiles.
The result must be a solid similar to snail shell but all the same solid, as a cylindar whith a half sphere in the bottom.
In my assembly I've set up angle constraints between 2 Plane's of 2 parts (min: 40 deg max: 160 deg). If I move the parts slowly the angle constraints holds but if I swing it hard sometimes it flips and gets out of the angle constraint.
I have found after my last save, the Datum Planes of the assembly have just lengthened in two directions monstrously for no reason. I checked to see if it was an unassebled straggler but cant find anything. Is there a way of knowing why it does this.
Check attached image, the dot is a machine 20 metres high and the datum plane seems to reach the nearest neighbourhood for some reason.
Ive started at a company where all of their parts and assemblies have all of the work planes, axis and points visible. Im getting bored of going view, object visibility, turn off all work features everytime i open a new model. Anything written that will turn off these features and only turn them back on when requested.
basically im looking for a shortcut, rather than opening every part and assembly and doing it manually.
The problem I'm having, or what's annoying, is reappearing (visible) Work Planes. I have a number of parts in my assembly that I make invisible and visible on a regular basis and I find that when I make a part visible, the Work Planes of that part also become visible. It's very annoying and time consuming having to turn off the Work Planes when there's no need for them to be visible.
Is there a way to either make all Work Planes invisible or to permenantly make Work Planes invisible unless you specifically make them visible.
Any time I create a new sketch in my assemblies, all of a sudden every existing work plane toggles from "invisible" to "visible".
In small assemblies, this is fine, but in 100+ part assemblies, it is a major headache. I don't want to turn off work planes every time I make a new sketch.
I'm trying to re assign XYZ planes after the drawing is complete. I understand changing the view cube etc, but I need to change the sketch itself to match the view cube to set up machining on our CNC and minimize material waste.